from Instr import *
from CPU import *
from instructions import *
import sys


instr_list = [xchg_instr, and_instr, or_instr, xor_instr, add_instr, mul_instr,
           pop_instr, disc_instr, pushl_instr, jmp_instr, sign_instr, neg_instr,
           ld_instr, st_instr, dup_instr, push_instr]

script_name, file_name = sys.argv

mem_input = list(open(file_name, 'rb').read()[:-1])

memory = [0 for u in range(0,65537)]
counter = 0

for i in range(0,len(mem_input)):
    memory[i] = ord(mem_input[i])
    counter += 1

cpu = CPU(instr_list,memory)

cpu.eval_loop(counter)

print("cpu.x : ", cpu.x, " cpu.y : ", cpu.y)
