module ALU(X, Y, O, Z);
	output reg[15:0] Z;
	input[15:0] X;
	input[15:0] Y;
	input[2:0] O;
	
	always@(X or Y or O)
	case(O)
		0 : Z = X;
		1 : Z = X & Y;
		2 : Z = X | Y;
		3 : Z = X ^ Y;
		4 : Z = X + Y;
		5 : Z = X * Y;
		6 : Z = X >> 15;
		7 : Z = -X;
	endcase
endmodule
