module program_counter(CLK, IN, PC, LOAD);
	input CLK;
	input[15:0] IN;
	output reg[15:0] PC;
	input LOAD; // 1: load from IN
					// 0: increment on CLK negedge
	
	always@(negedge CLK) begin
		if(LOAD) PC = IN;
		else PC = PC + 16'h01;
	end 
endmodule
